## powerdevil 5.22.5

=== debian/changelog ===
powerdevil (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)
  * Remove powerdevil from powerdevil-dev Depends. This is to avoid a
    multiarch lintian warning, the powerdevil-dev package shouldn't
    exist anyway (it only provides useless *.so symlinks) but I'm
    keeping it to reduce the delta with debian.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:51:39 +0200

powerdevil (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:49 +0100

powerdevil (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:24 +0100

powerdevil (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:20 +0100

powerdevil (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:53 +0100

powerdevil (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:34 +0100

powerdevil (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:54 +0100

powerdevil (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:22 +0100
