=== debian/control ===
--- 
+++ 
@@ -7,25 +7,25 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5activities-dev (>= 5.74.0~),
-               libkf5auth-dev (>= 5.74.0~),
-               libkf5bluezqt-dev (>= 5.74.0~),
-               libkf5config-dev (>= 5.74.0~),
-               libkf5crash-dev (>= 5.74.0~),
-               libkf5dbusaddons-dev (>= 5.74.0~),
-               libkf5doctools-dev (>= 5.74.0~),
-               libkf5globalaccel-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5idletime-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5networkmanagerqt-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5notifyconfig-dev (>= 5.74.0~),
-               libkf5screen-dev (>= 4:5.21.4~),
-               libkf5solid-dev (>= 5.74.0~),
-               libkf5wayland-dev (>= 4:5.74.0~),
+               libkf5activities-dev (>= 5.82.0~),
+               libkf5auth-dev (>= 5.82.0~),
+               libkf5bluezqt-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5doctools-dev (>= 5.82.0~),
+               libkf5globalaccel-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5networkmanagerqt-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5notifyconfig-dev (>= 5.82.0~),
+               libkf5screen-dev (>= 4:5.22.5~),
+               libkf5solid-dev (>= 5.82.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                libudev-dev,
                libx11-dev,
@@ -41,7 +41,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.4~),
+               plasma-workspace-dev (>= 4:5.22.5~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/powerdevil
@@ -72,7 +72,7 @@
 Package: powerdevil
 Architecture: any
 Depends: powerdevil-data (= ${source:Version}),
-         libcap2-bin [linux-any],
+         libcap2-bin,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Global power saver settings.
@@ -90,7 +90,6 @@
 Architecture: any
 Depends: libpowerdevilcore2 (= ${binary:Version}),
          libpowerdevilui5 (= ${binary:Version}),
-         powerdevil (= ${binary:Version}),
          ${misc:Depends},
 Multi-Arch: same
 Description: Global power saver settings.
