=== daemon/actions/CMakeLists.txt ===
install(FILES powerdevilaction.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

add_subdirectory(bundled)
