=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.4~),
+               plasma-workspace-dev (>= 4:5.24.7~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/plasma/powerdevil
