=== debian/changelog ===
powerdevil (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:34:00 +0100

powerdevil (4:5.25.4-1ubuntu2) kinetic; urgency=medium

  * Remove powerdevil from -dev package depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 12:47:26 +0100

powerdevil (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend power-profiles-daemon

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 11:20:56 +0100

powerdevil (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:35:32 +0200

powerdevil (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:01:15 +0100

powerdevil (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Add build dependency on libcap-dev required for scheduled wakeup.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:57 +0200

powerdevil (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:45:46 +0100

powerdevil (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:18:49 +0100

powerdevil (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Update build-deps and deps with the info from cmake.
  * Drop patch to prevent integer overflow during new brightness level
    computation on some hardware as it has been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:48:08 +0200

powerdevil (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)
  * Drop included upstream_fix-backlight-bug-454161.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:29:07 +0100

powerdevil (4:5.25.0-2) experimental; urgency=medium

  * Drop Revert-upstream-Write-brightness-to-all-raw-devices.patch.
  * Backport upstream commit to prevent integer overflow during new brightness
    level computation on some hardware.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Jun 2022 22:12:26 +0200

powerdevil (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten cross-plasma components dependencies.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:27:14 +0200

powerdevil (4:5.25.0-0ubuntu2) kinetic; urgency=medium

  * Add upstream_fix-backlight-bug-454161.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jun 2022 10:11:43 +0100

powerdevil (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:37 +0100

powerdevil (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Revert upstream commit 761fc8a4 "Write brightness to all raw devices"
    breaking brightness updates.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:49:01 +0200

powerdevil (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:43:17 +0100

powerdevil (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:57 +0200

powerdevil (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:31 +0100

powerdevil (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:09:19 +0200

powerdevil (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:07:48 +0100

powerdevil (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 22:00:02 +0100

powerdevil (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:37:20 +0100

powerdevil (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:59:09 +0100
