=== debian/control ===
--- 
+++ 
@@ -3,32 +3,35 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.94~),
                gettext,
-               kirigami2-dev (>= 5.90.0~),
-               libkf5activities-dev (>= 5.90.0~),
-               libkf5auth-dev (>= 5.90.0~),
-               libkf5bluezqt-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5crash-dev (>= 5.90.0~),
-               libkf5dbusaddons-dev (>= 5.90.0~),
-               libkf5doctools-dev (>= 5.90.0~),
-               libkf5globalaccel-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5idletime-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5networkmanagerqt-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5notifyconfig-dev (>= 5.90.0~),
-               libkf5screen-dev (>= 4:5.24.4~),
-               libkf5solid-dev (>= 5.90.0~),
-               libkf5wayland-dev (>= 4:5.90.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               kirigami2-dev (>= 5.94~),
+               libcap-dev,
+               libcap2-bin,
+               libkf5activities-dev (>= 5.94~),
+               libkf5auth-dev (>= 5.94~),
+               libkf5bluezqt-dev (>= 5.94~),
+               libkf5config-dev (>= 5.94~),
+               libkf5crash-dev (>= 5.94~),
+               libkf5dbusaddons-dev (>= 5.94~),
+               libkf5doctools-dev (>= 5.94~),
+               libkf5globalaccel-dev (>= 5.94~),
+               libkf5i18n-dev (>= 5.94~),
+               libkf5idletime-dev (>= 5.94~),
+               libkf5kio-dev (>= 5.94~),
+               libkf5networkmanagerqt-dev (>= 5.94~),
+               libkf5notifications-dev (>= 5.94~),
+               libkf5notifyconfig-dev (>= 5.94~),
+               libkf5screen-dev (>= 4:5.25.5~),
+               libkf5solid-dev (>= 5.94~),
+               libkf5wayland-dev (>= 4:5.94~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -43,9 +46,9 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.24.7~),
-               qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+               plasma-workspace-dev (>= 4:5.25.5~),
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/powerdevil
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
